Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-arm-rtems4.10-binutils
 Requires:	rtems-4.10-arm-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/arm-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-avr-rtems4.10-binutils
 Requires:	rtems-4.10-avr-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -150,5 +150,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -316,5 +316,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/avr-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -453,5 +452,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -471,5 +470,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -586,5 +585,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -608,5 +607,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
 Requires:	rtems-4.10-bfin-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/bfin-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
 Requires:	rtems-4.10-h8300-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/h8300-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-i386-rtems4.10-binutils
 Requires:	rtems-4.10-i386-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/i386-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
 Requires:	rtems-4.10-lm32-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/lm32-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
 Requires:	rtems-4.10-m32c-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -149,5 +149,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -316,5 +316,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/m32c-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -453,5 +452,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -471,5 +470,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -535,5 +534,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -136,5 +136,5 @@
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
 Requires:	rtems-4.10-m32r-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -149,5 +149,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -316,5 +316,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/m32r-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -453,5 +452,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -471,5 +470,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -535,5 +534,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
 Requires:	rtems-4.10-m68k-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/m68k-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-mips-rtems4.10-binutils
 Requires:	rtems-4.10-mips-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/mips-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
 Requires:	rtems-4.10-powerpc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/powerpc-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-sh-rtems4.10-binutils
 Requires:	rtems-4.10-sh-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/sh-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 9914cad16a68f7fbdd5e003fa10a2c7900a0ea01)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 6685aa09590ddbc11fbddca73bed1e7a6e6e143d)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	9%{?dist}
+Release:      	10%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
 Requires:	rtems-4.10-sparc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 
 
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090727.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090906.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -324,5 +324,4 @@
   rm -f dirs ;
   echo "%defattr(-,root,root,-)" >> dirs
-  echo "%dir %{_prefix}" >> dirs
   TGTDIR="%{_gcclibdir}/gcc/sparc-rtems4.10/%{gcc_version}"
   for i in $multilibs; do
@@ -461,5 +460,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 # License:	GPL
 
@@ -479,5 +478,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-49%{?dist}
+Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-50%{?dist}
 License:	GPL
 
@@ -654,5 +653,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -676,5 +675,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        49%{?dist}
+Release:        50%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
